.footer {
  color: #333;
  padding: 60px 0 30px 0;
  font-family: 'Lato', sans-serif;

  .footer__container {
    display: grid;
    padding-bottom: 45px;
    grid-template-columns: 1fr 1fr;
    gap: 20px;

    &-block1,
    &-block2 {
      display: grid;

      grid-template-columns: 1fr 1fr;
      gap: 20px;
    }

    .footer__section {
      display: flex;
      flex-direction: column;

      justify-content: start;
      align-content: start;

      .footer__install {
        color: #253D4E;
        font-family: 'Quicksand', sans-serif;
        font-size: 24px;
        font-weight: 700;
        margin-bottom: 20px;
        text-align: center;
      }
    }

    .footer__section--logo {
      //margin: auto;
      //align-items: center;

      .footer-logo {
        display: flex;
        align-items: center;
        margin-bottom: 20px;

        .footer-logo__text {
          display: flex;
          flex-direction: column;
          margin-left: 10px;

          .footer-logo__text-gusto {
            font-size: 36px;
            color: #3BB77E;
            font-weight: 800;
            margin-bottom: 5px;
          }

          .footer-logo__text-shop {
            font-size: 18px;
            color: #000;
            font-weight: 600;
          }
        }
      }
    }

    .footer__section--links {
      display: grid;
      gap: 12px;
      grid-template-columns: 1fr 1fr 1fr;
      text-align: start;

      .footer__link-items {
        list-style: none;
        margin: 0;
        white-space: nowrap;

        a {
          background: none;
          border: none;
          color: #253D4E;
          font-family: 'Lato', sans-serif;
          font-size: 16px;
          font-weight: 400;
          line-height: 24px;
          text-decoration: none;
          cursor: pointer;
          transition: color 0.3s;

          &:hover {
            color: #3BB77E;
          }
        }
      }
    }

    .footer__section--info {
      display: flex;
      flex-direction: column;
      align-items: flex-start;



      .footer__contacts {
        width: 100%;
        max-width: 300px;
        display: flex;
        flex-direction: column;
        gap: 16px;

        .footer__contacts-item {
          display: flex;
          align-items: center;
          gap: 10px;
          flex-wrap: wrap;

          p {
            font-size: 14px;
            align-items: center;

            svg {
              margin-right: 10px;
            }

            a {
              color: #253D4E;
              text-decoration: none;
              transition: color 0.3s;

              &:hover {
                color: #3BB77E;
              }
            }

            span {
              font-weight: 600;
              color: #333;
            }
          }
        }


      }
    }

    .footer__section--install {
      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;

      .footer__link-app-wrapper {
        display: flex;
        gap: 10px;
        margin: 20px 0;

        .footer__link-app {
          //display: inline-block;

          img {
            max-width: 100%;
            height: auto;
            transition: opacity 0.3s;

            &:hover {
              opacity: 0.8;
            }
          }
        }
      }

      .footer__par--install {
        font-size: 14px;
        color: #666;
      }
    }
  }

  .footer__bottom {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid #BCE3C9;
    padding-top: 30px;
    color: #7E7E7E;
    font-family: 'Lato, sans-serif';
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;

    .footer__copyright {
      width: 269px;

      span {
        color: #3BB77E;
        font-weight: 600;
      }
    }

    .footer__phonenumbers {
      display: flex;
      gap: 51px;

      .number {
        display: flex;
        align-items: center;
        gap: 12px;

        .tel {
          a {
            color: #3BB77E;
            font-family: 'Quicksand', sans-serif;
            font-size: 26px;
            font-weight: 700;
            line-height: 26px;
          }
        }

      }
    }

    .footer__media {
      .footer__media-links {
        display: flex;
        color: #253D4E;
        font-family: 'Quicksand', sans-serif;
        font-size: 16px;
        font-weight: 700;
        line-height: 19.2px;
        gap: 14px;
        align-items: center;

        .links-list {
          display: flex;
          align-items: center;
          gap: 5px;

          .icon-container {
            border-radius: 30px;
            background: #3BB77E;
            padding: 7px;
            display: flex;

          }


        }

      }
    }
  }
}

@media all and (max-width: 1000px) {
  .footer {

    .footer__container {

      &-block1 {
        grid-template-columns: 1fr;
      }

      .footer__section--logo {
        display: none;
      }

      .footer__section--links {
        grid-template-columns: 1fr 1fr;
      }
    }

    .footer__bottom {

      .footer__phonenumbers {
        display: none;
      }
    }
  }
}

@media all and (max-width: 768px) {
  .footer {

    .footer__container {
      grid-template-columns: repeat(auto-fill, minmax(50%, 1fr));

      .footer__section--links {
        text-align: center;
      }

      &-block1 {
        display: none;
      }

      &-block2 {
        grid-template-columns: repeat(auto-fill, minmax(48%, 1fr));
        gap: 40px;
      }
    }

    .footer__bottom {

      .footer__media {
        display: none;
      }
    }
  }
}